In the process of installing the Oracle Grid (11g R2) on SUSE Linux 11. When the installer reached the Prerequisite Checks step, it displayed an error:

The following packages are missing:

libstdc++43-4.3.3_20081022
libstdc++43-32bit-4.3.3_20081022
libstdc++43-devel-32bit-4.3.3_20081022
libgcc43-4.3.3_20081022

So I downloaded the libstdc++43-4.3.3_20081022 for SUSE 11. When I tried to install it, conflicting was found and it tried to deinstall the following:

libstdc++46-4.6
libstdc++43-devel-4.3
libstdc++devel-4.3
gcc43-c++-4.3
gcc-c++-4.3

Currently, it pauses, waiting for my action. If I OK it, sure it will delete the existing packages. But the problem is I tried to remove libstdc++46-4.6 before, it actually removed whole bunch of related files including the operating system files that make the SUSE unusable.

What should I do?